MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::LogLevel Struct Reference

`#include <MyGUI_LogLevel.h>`

## Public Types
enum | Enum { Info, Warning, Error, Critical, MAX }

## Public Member Functions
| LogLevel ()
| LogLevel (Enum _value)
std::string | print () const
int | getValue () const

## Static Public Member Functions
static LogLevel | parse (const std::string &_value)

## Friends
bool | operator< (LogLevel const &a, LogLevel const &b)
bool | operator>= (LogLevel const &a, LogLevel const &b)
bool | operator> (LogLevel const &a, LogLevel const &b)
bool | operator<= (LogLevel const &a, LogLevel const &b)
bool | operator== (LogLevel const &a, LogLevel const &b)
bool | operator!= (LogLevel const &a, LogLevel const &b)
std::ostream & | operator<< (std::ostream &_stream, const LogLevel &_value)
std::istream & | operator>> (std::istream &_stream, LogLevel &_value)

## Detailed Description

Definition at line 15 of file MyGUI_LogLevel.h.

## Member Enumeration Documentation

enum MyGUI::LogLevel::Enum

Enumerator
Info |
Warning |
Error |
Critical |
MAX |

Definition at line 17 of file MyGUI_LogLevel.h.

## Constructor & Destructor Documentation

MyGUI::LogLevel::LogLevel | ( |  | ) |
| inline

Definition at line 26 of file MyGUI_LogLevel.h.

MyGUI::LogLevel::LogLevel | ( | Enum | _value | ) |
| inline

Definition at line 31 of file MyGUI_LogLevel.h.

## Member Function Documentation

int MyGUI::LogLevel::getValue | ( |  | ) | const
| inline

Definition at line 100 of file MyGUI_LogLevel.h.

static LogLevel MyGUI::LogLevel::parse | ( | const std::string & | _value | ) |
| inline static

Definition at line 36 of file MyGUI_LogLevel.h.

std::string MyGUI::LogLevel::print | ( |  | ) | const
| inline

Definition at line 95 of file MyGUI_LogLevel.h.

## Friends And Related Function Documentation

bool operator!= | ( | LogLevel const & | a,
|  | LogLevel const & | b
| ) |  |
| friend

Definition at line 76 of file MyGUI_LogLevel.h.

bool operator< | ( | LogLevel const & | a,
|  | LogLevel const & | b
| ) |  |
| friend

Definition at line 51 of file MyGUI_LogLevel.h.

std::ostream& operator<< | ( | std::ostream & | _stream,
|  | const LogLevel & | _value
| ) |  |
| friend

Definition at line 81 of file MyGUI_LogLevel.h.

bool operator<= | ( | LogLevel const & | a,
|  | LogLevel const & | b
| ) |  |
| friend

Definition at line 66 of file MyGUI_LogLevel.h.

bool operator== | ( | LogLevel const & | a,
|  | LogLevel const & | b
| ) |  |
| friend

Definition at line 71 of file MyGUI_LogLevel.h.

bool operator> | ( | LogLevel const & | a,
|  | LogLevel const & | b
| ) |  |
| friend

Definition at line 61 of file MyGUI_LogLevel.h.

bool operator>= | ( | LogLevel const & | a,
|  | LogLevel const & | b
| ) |  |
| friend

Definition at line 56 of file MyGUI_LogLevel.h.

std::istream& operator>> | ( | std::istream & | _stream,
|  | LogLevel & | _value
| ) |  |
| friend

Definition at line 87 of file MyGUI_LogLevel.h.

The documentation for this struct was generated from the following file:

- MyGUI_LogLevel.h